/*
 * The NAVIGATE message is sent when the surface would like to request a URL change by the host.
 * The host should reply with updated routing data.
 */
import { z } from "zod";
export const UI_EXTENSION_SURFACE_NAVIGATE_EVENT_TYPE = "NF::EUI_SURFACE::NAVIGATE";
// TODO(ndhoule): Rename this to the imperative (...NavigateEvent)
export const UIExtensionSurfaceNavigationEventSchema = z.object({
    type: z.literal(UI_EXTENSION_SURFACE_NAVIGATE_EVENT_TYPE),
    data: z.object({
        hash: z.string().optional(),
        pathname: z.string().optional(),
        search: z.string().optional(),
    }),
});
// TODO(ndhoule): Rename this to the imperative (...NavigateEvent)
export const createUIExtensionSurfaceNavigationEvent = (data) => ({
    type: UI_EXTENSION_SURFACE_NAVIGATE_EVENT_TYPE,
    data,
});
//# sourceMappingURL=navigate.js.map